# Enum Toolbar.Button

java.lang.Object
java.lang.Enum<Toolbar.Button>
org.apache.zookeeper.inspector.gui.Toolbar.Button

All Implemented Interfaces:
  `Serializable, Comparable<Toolbar.Button>`

Enclosing class:
  `Toolbar`

public static enum Toolbar.Button extends Enum<Toolbar.Button>

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`about`
`addNode`
`connect`
`deleteNode`
`disconnect`
`nodeViewers`
`refresh`

## Method Summary

Modifier and Type
Method
Description
`JButton`
`createJButton(IconResource iconResource)`
`static Toolbar.Button`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Toolbar.Button[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### connect

public static final Toolbar.Button connect

### disconnect

public static final Toolbar.Button disconnect

### refresh

public static final Toolbar.Button refresh

### addNode

public static final Toolbar.Button addNode

### deleteNode

public static final Toolbar.Button deleteNode

### nodeViewers

public static final Toolbar.Button nodeViewers

### about

public static final Toolbar.Button about

## Method Details

### values

public static Toolbar.Button[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Toolbar.Button valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### createJButton

public JButton createJButton(IconResource iconResource)